﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Net.Http;
using System.Web.Http;
using ServerOperations.Models;
using System.Collections;
using System.Web.Http.OData;
using System.Web.Http.OData.Query;

namespace ServerOperations.Controllers
{
    public class OrdersController : ApiController
    {
        NorthwindDataContext db = new NorthwindDataContext();
        
        // GET api/<controller>       
        public List<ColumnDetails> Get(ODataQueryOptions opts)
        {
            List<ColumnDetails> order = new List<ColumnDetails>();
          
                order.Add(new ColumnDetails("OrderID","Order ID","left",false));
                order.Add(new ColumnDetails("Emp", "Emp ID", "left",false));
                //order.Add(new ColumnDetails(code + 4, "BLONP"));
                //order.Add(new ColumnDetails(code + 5, "BOLID"));
            
            return order;
        }
        public class ColumnDetails
        {
            public ColumnDetails()
            {

            }
            public ColumnDetails(String field, string headerText, string textAlign,bool visible)
            {
                this.field = field;
                this.headerText = headerText;
                this.textAlign = textAlign;
                this.visible = visible;
            }
            public string field { get; set; }
            public string headerText { get; set; }
            public string textAlign { set; get; }
            public bool visible { set; get; }
        }
        //[Serializable]
        //public class Orders
        //{
        //    public Orders()
        //    {

        //    }
        //    public Orders(long OrderId, string CustomerId)
        //    {
        //        this.OrderID = OrderId;
        //        this.CustomerID = CustomerId;
        //    }
        //    public long OrderID { get; set; }
        //    public string CustomerID { get; set; }
        //}
        // GET api/<controller>/
        public string Get(int id)
        {
            return "value";
        }

        // POST api/<controller>
        public void Post(EmployeePhoto employee)
        {
            NorthwindDataContext db = new NorthwindDataContext();

            db.EmployeePhotos.InsertOnSubmit(new EmployeePhoto()
            {
                EmployeeID = employee.EmployeeID,
                Name = employee.Name               
            });
            db.SubmitChanges();

        }

        // PUT api/<controller>/5
        public void Put(EmployeePhoto employee)
        {
            EmployeePhoto emp = (EmployeePhoto)db.EmployeePhotos.Single(s => s.EmployeeID == employee.EmployeeID);

            emp.EmployeeID = employee.EmployeeID;
            emp.Name = employee.Name;
            

            db.SubmitChanges();

        }

        // DELETE api/<controller>/5
        public void Delete(int id)
        {
            EmployeePhoto emp = (EmployeePhoto)db.EmployeePhotos.Single(s => s.EmployeeID == id);

            db.EmployeePhotos.DeleteOnSubmit(emp);

            db.SubmitChanges();
        }

    }
    public class ColumnDetails
    {
        public string field { get; set; }
        public string headerText { get; set; }
        public string textAlign { set; get; }
    }
}